html
  box-sizing: border-box

*
  -webkit-tap-highlight-color: transparent

*,
*::before,
*::after
  box-sizing: inherit
  margin: 0
  padding: 0
  outline: none

ul,
ol,
li
  list-style: none

a
  color: inherit
  text-decoration: none

input,
textarea,
select,
button
  color: inherit
  font: inherit
  letter-spacing: inherit
  border: none
  background: none
  -moz-appearance: textfield

input
  &[type="number"]
    &::-webkit-outer-spin-button,
    &::-webkit-inner-spin-button
      -webkit-appearance: none


input:-webkit-autofill
  -webkit-box-shadow: 0 0 0 1000px white inset

::-webkit-input-placeholder
  text-align: left
  direction: ltr

input:-moz-placeholder
  text-align: left
  direction: ltr

img,
video
  display: block
  max-width: 100%
  max-height: 100%

svg
  max-width: 100%

table
  table-layout: fixed
  width: 100%
  border-collapse: collapse

[hidden]
  opacity: 0
  visibility: hidden

i
  line-height: 0
  display: inline-block
  vertical-align: middle

hr
  background: none
  border: none
  border-bottom: dashed 1px rgba(0, 0, 0, 0.1)

input[type=search]
  -webkit-appearance: none

::-webkit-search-cancel-button
  -webkit-appearance: none

::-webkit-search-results-button
  -webkit-appearance: none

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active
  -webkit-box-shadow: white !important

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button
  -webkit-appearance: none !important
  margin: 0 !important


input[type=number]
  -moz-appearance: textfield !important
